[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragDockObject.InitDock

Initializes the dragging coordinates.

## Declaration

Source position: controls.pp line 442

`protected procedure TDragDockObject.InitDock(`
`APosition: TPoint`
`); virtual;`

## Description

Determines the hotspot offset for adjusting the DockRect.

Since the undocked extent of the control doesn't change while dragging, we fix the hotspot offset here.

Usage: OffsetRect(DockRect, FDockOffset);

The latest version of this document can be found at lazarus-ccr.sourceforge.net.